## org.apache.poi.hwpf.model
Class FSPATable

    java.lang.Object
      org.apache.poi.hwpf.model.FSPATable

    @Internal
    public final class FSPATable

extends java.lang.Object

This class holds all the FSPA (File Shape Address) structures.

Author:
  Squeeself

Constructor Summary
`FSPATable(byte[] tableStream, FileInformationBlock fib, FSPADocumentPart part)`
`FSPATable(byte[] tableStream, int fcPlcspa, int lcbPlcspa, java.util.List<TextPiece> tpt)` Deprecated.

Method Summary
`FSPA` `getFspaFromCp(int cp)`
`FSPA[]` `getShapes()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSPATable

    public FSPATable(byte[] tableStream,
                     FileInformationBlock fib,
                     FSPADocumentPart part)

### FSPATable

    @Deprecated
    public FSPATable(byte[] tableStream,
                                int fcPlcspa,
                                int lcbPlcspa,
                                java.util.List<TextPiece> tpt)

  Deprecated.

Method Detail

### getFspaFromCp

    public FSPA getFspaFromCp(int cp)

### getShapes

    public FSPA[] getShapes()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.